-- 基础信息
base_info = {
	group_id = 242005012
}

-- Trigger变量
defs = {
	group_id = 242005012,
	gear_group_id = 242005002
}

-- DEFS_MISCS
tide_defs = {
	[1] = { {sum = 20, min = 6, max = 6,suite=2},{sum = 20, min = 6, max = 6,suite=3},},


}
package_tide_defs={
        [1]={{monster_package={12001,12002,12003},route=1,route_points={1,2,3,4,5,6,7,8},tags=2,count=100,max=6,min=5},{monster_package={12001,12002,12003},route=2,route_points={1,2,3,4,5,6,7,8,9,10},tags=4,count=20,max=6,min=5}},

}

--================================================================
--
-- 配置
--
--================================================================

-- 怪物
monsters = {
}

-- NPC
npcs = {
}

-- 装置
gadgets = {
}

-- 区域
regions = {
}

-- 触发器
triggers = {
}

-- 点位
points = {
	{ config_id = 12005, pos = { x = -50.797, y = 8.044, z = 48.279 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 2 },
	{ config_id = 12006, pos = { x = -50.841, y = 8.044, z = 46.476 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 2 },
	{ config_id = 12007, pos = { x = -48.887, y = 8.038, z = 46.669 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 2 },
	{ config_id = 12008, pos = { x = -50.854, y = 8.044, z = 44.250 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 2 },
	{ config_id = 12009, pos = { x = -48.164, y = 8.043, z = 45.015 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 2 },
	{ config_id = 12010, pos = { x = -48.215, y = 8.042, z = 48.840 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 2 },
	{ config_id = 12011, pos = { x = 23.820, y = -5.920, z = 79.400 }, rot = { x = 0.000, y = 240.678, z = 0.000 }, tag = 4 },
	{ config_id = 12012, pos = { x = 25.279, y = -5.929, z = 81.793 }, rot = { x = 0.000, y = 240.678, z = 0.000 }, tag = 4 },
	{ config_id = 12013, pos = { x = 23.492, y = -5.916, z = 83.770 }, rot = { x = 0.000, y = 240.678, z = 0.000 }, tag = 4 },
	{ config_id = 12014, pos = { x = 25.253, y = -5.920, z = 78.886 }, rot = { x = 0.000, y = 240.678, z = 0.000 }, tag = 4 },
	{ config_id = 12015, pos = { x = 25.513, y = -5.920, z = 85.468 }, rot = { x = 0.000, y = 240.678, z = 0.000 }, tag = 4 },
	{ config_id = 12016, pos = { x = 26.667, y = -5.921, z = 79.790 }, rot = { x = 0.000, y = 240.678, z = 0.000 }, tag = 4 },
	{ config_id = 12017, pos = { x = -50.419, y = -22.088, z = 37.241 }, rot = { x = 0.000, y = 359.477, z = 0.000 }, tag = 8 },
	{ config_id = 12018, pos = { x = -48.960, y = -22.066, z = 39.634 }, rot = { x = 0.000, y = 359.477, z = 0.000 }, tag = 8 },
	{ config_id = 12019, pos = { x = -50.748, y = -22.101, z = 41.611 }, rot = { x = 0.000, y = 359.477, z = 0.000 }, tag = 8 },
	{ config_id = 12020, pos = { x = -48.986, y = -22.088, z = 36.727 }, rot = { x = 0.000, y = 359.477, z = 0.000 }, tag = 8 },
	{ config_id = 12021, pos = { x = -46.893, y = -22.064, z = 41.218 }, rot = { x = 0.000, y = 359.477, z = 0.000 }, tag = 8 },
	{ config_id = 12022, pos = { x = -47.572, y = -22.084, z = 37.631 }, rot = { x = 0.000, y = 359.477, z = 0.000 }, tag = 8 }
}

-- 变量
variables = {
}

--================================================================
--
-- 初始化配置
--
--================================================================

-- 初始化时创建
init_config = {
	suite = 1,
	end_suite = 0,
	rand_suite = false
}

--================================================================
--
-- 小组配置
--
--================================================================

suites = {
	{
		-- suite_id = 1,
		-- description = ,
		monsters = { },
		gadgets = { },
		regions = { },
		triggers = { },
		rand_weight = 100
	},
	{
		-- suite_id = 2,
		-- description = ,
		monsters = { },
		gadgets = { },
		regions = { },
		triggers = { },
		rand_weight = 100
	},
	{
		-- suite_id = 3,
		-- description = ,
		monsters = { },
		gadgets = { },
		regions = { },
		triggers = { },
		rand_weight = 100
	}
}

--================================================================
--
-- 触发器
--
--================================================================

require "TowerDefense_Monster02"
